package com.liangjian.dataplatform.member.service;

import com.liangjian.dataplatform.member.entity.po.secondary.*;

import java.util.List;
import java.util.Map;


public interface IUserOrdersService {


    Map<String,Object> getFilters(Integer pageIndex, Integer pageSize, List<FiltersUtils> filters);

    Map<String,Object> getProductFilters(Integer pageIndex, Integer pageSize, List<FiltersUtils> filters);

    Map<String,Object> getProductLevel(Integer pageIndex, Integer pageSize, List<FiltersUtils> filters);

    List<Map<String,Object>> getLevel();

    Map<String,Object> getProductLog(String productCode);

    Map<String,Object> getProductLevel(String productCode);

    boolean addMemProductLevel(String product,List<FiltersUtils> filter,String mID,String mName);

    boolean editMemProductLevel(MemIngProduct memIngProduct,String mID,String mName);

    Map<String,Object> AllproductType(Integer pageIndex, Integer pageSize, List<FiltersUtils> filters);

    boolean addMemProductType(FiltersUtils filter);

    boolean editProductType(FiltersUtils filter);

    boolean editProductAmount(FiltersUtils filter,String mId,String mName);

    boolean addMemProduct(MemIngProduct memIngProduct,String mID,String mName);

    String editOrder(FiltersUtils filter,String mID,String mName);
    String callOrder(FiltersUtils filter,String mID,String mName);
}
